Last Comment Bug 550065 - Incomplete repaint when removing transform attribute
: Incomplete repaint when removing transform attribute
Status: RESOLVED FIXED
: regression, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla10
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 550047
Blocks: refdyn 534526
  Show dependency treegraph
 
Reported: 2010-03-03 16:24 PST by Jesse Ruderman
Modified: 2011-10-09 08:10 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (dynamic) (502 bytes, image/svg+xml)
2010-03-03 16:24 PST, Jesse Ruderman
no flags Details
reference (static) (247 bytes, image/svg+xml)
2010-03-03 16:24 PST, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2010-03-03 16:24:18 PST
Created attachment 430182 [details]
testcase (dynamic)
Comment 1 Jesse Ruderman 2010-03-03 16:24:36 PST
Created attachment 430184 [details]
reference (static)
Comment 2 Robert Longson 2010-03-04 08:31:08 PST
Same as bug 550047

nsSVGElementBase::UnsetAttr now runs before the data is reparsed and when we get to the nsSVGForeignObject::AttributeChanged we read the old values from the nsSVGForeignObjectElement rather than the new values.
Comment 3 Robert Longson 2011-10-09 08:10:56 PDT
Fixed by check-in for bug 550047

Note You need to log in before you can comment on or make changes to this bug.